UNIT Extended_Reals;

INTERFACE

{----------------------------------------------------------------------------}
{---   Define real data types dependent upon whether an 8087 is present   ---}
{----------------------------------------------------------------------------}
{$IFOPT N+}
TYPE
   REAL = extended;                                { use 10 bit real numbers }
{$ELSE}
TYPE
   single   = REAL;                          { use only six bit real numbers }
   double   = REAL;
   extended = REAL;
   comp     = REAL;
{$ENDIF}

(****************************************************************************)

IMPLEMENTATION

(****************************************************************************)

BEGIN   {Initialization}
END.   {UNIT Extended_Reals}